Exception::getTrace
Exception::__toString
Exception
PHP Manual

# Exception::getTraceAsString

(PHP 5 >= 5.1.0)

Exception::getTraceAsString — Gets the stack trace as a string

### Description

final public string Exception::getTraceAsString ( void )

Returns the Exception stack trace as a string.

### Parameters

This function has no parameters.

### Return Values

Returns the Exception stack trace as a string.

### Examples

Example #1 Exception::getTraceAsString() example

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
echo $e->getTraceAsString();
}
?>`

The above example will output something similar to:

    #0 /home/bjori/tmp/ex.php(7): test()
    #1 {main}

Exception::getTrace
Exception::__toString
Exception
PHP Manual